<template>
  <section
    v-if="procedureData"
    class="d-flex flex-column flex-md-row"
    style="height: 100%"
  >
    <ProcedureSidebar
      v-show="$vuetify.breakpoint.mdAndUp"
      :procedure="procedureData"
    />
    <ProcedureHeadbar
      v-show="$vuetify.breakpoint.mdAndDown"
      class="d-md-none"
      :procedure="procedureData"
    />
    <NuxtChild :procedure="procedureData" />
  </section>
</template>

<script>
import * as _ from 'lodash'
import { mapState } from 'vuex'

import ProcedureSidebar from '~/components/Procedures/ProcedureSidebar'
import ProcedureHeadbar from '~/components/Procedures/ProcedureHeadbar'

export default {
  components: {
    ProcedureHeadbar,
    ProcedureSidebar,
  },
  middleware({ route, redirect }) {
    const id = route.params.procedure_id
    if (
      route.path === `/procedures/${id}` ||
      route.path === `/procedures/${id}/`
    ) {
      return redirect(`/procedures/${id}/steps`)
    }
  },
  computed: {
    ...mapState({
      procedures: (state) => state.procedures.procedures,
    }),
    procedureData() {
      const id = this.$route.params.procedure_id
      return _.find(this.procedures, { id })
    },
  },
}
</script>
